## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Get Knowledge Stores

#### Request

GET /v2.0/knowledgestores

#### Try it

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/knowledgestores \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/knowledgestores"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```java
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/knowledgestores")
  .header("X-API-Key", "<api-key>")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/knowledgestores")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **200**
- **400**
- **401**
- **402**
- **403**
- **404**
- **405**
- **409**
- **413**
- **500**
- **501**
- **502**
- **503**
- **504**

#### Example Response

```json
{
  "items": [
    {
      "name": "mystore",
      "description": "mystore description",
      "language": "en-US",
      "documents": [
        "https://some-website.com/knowledgebase.txt"
      ],
      "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "_id": "<string>",
      "createdAt": 1694518620,
      "lastChanged": 1694518620,
      "createdBy": "<string>",
      "lastChangedBy": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

---

### Error Responses

#### Bad Request

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Unauthorized

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Payment Required

```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

---

### Authorizations

#### X-API-Key
- Type: `string`
- Parameter: `header`
- Required: Supply the API Key in the HTTP-Header

### Headers

#### Accept
- Type: `enum<string>`
- The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Query Parameters

#### projectId
- Type: `string`
- The unique identifier for the Project.
- Required string length: `24`
- Pattern: `^[a-z0-9]{24}$`

#### filter
- Type: `string`
- The name of the knowledge store to filter the records

#### limit
- Type: `integer`
- The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.
- Required range: `1 <= x <= 100`

#### skip
- Type: `integer`
- The number of items to skip before returning the results. Use this parameter with `limit` for offset-based pagination. The default value is 0.
- Required range: `x >= 0`

#### sort
- Type: `string`
- The order in which results are returned. Set a sorting rule in the format `field:direction`, where direction can be `asc` for ascending order or `desc` for descending order. For example, `name:asc` sorts by name in ascending order.
- Minimum string length: `1`

#### next
- Type: `string`
- The cursor that points to the next page of results. Use the `nextCursor` value returned in a previous response to request the next set of items.
- Required string length: `24`

#### previous
- Type: `string`
- The cursor that points to the previous page of results. Use the `previousCursor` value returned in a previous response to request the previous set of items.
- Required string length: `24`
